/*
 * Filename:      minunit.h
 * Purpose:       MinUnit - a minimal unit testing framework for C
 * Authors:       jera.com
 * Bug-Reports:   see http://grml.org/bugs/
 * License:       You may use the code in this tech note for any purpose, with the understanding that it comes with NO WARRANTY.
 * Latest change: Feb 25 2005 [mika]
 * Notice:        See http://www.jera.com/techinfo/jtns/jtn002.html for more details. */

#define mu_assert(message, test) do { if (!(test)) return message; } while (0)
#define mu_run_test(test) do { char *message = test(); tests_run++; \
                               if (message) return message; } while (0)
extern int tests_run;

// END OF FILE #################################################################
